<?php
/**
 * User: nester_a
 * Date: 22.07.14
 */

namespace LMS\Tests\Data\Tables;

use LMS\Libraries\Base\Table;

class TestTable1 extends Table
{
	public $id;
	public $key_id;
	public $name;
	public $description;
	public $date;

	protected $alias = 'table_1';
	protected $fieldMap = array(
		'table_name' => 'name'
	);

	public function __construct($db = false)
	{
		parent::__construct("#__lms_table1", "id", $db);
	}

	protected function initRelations()
	{
		$this->relations = array(
			'child1' => array(
				'table' => new TestTable2($this->getDbo()),
				'type' => 'INNER',
				'condition' => '{parent.key_id} = {child.id}',
				'capacity' => self::MANY
			),
			'child2' => array(
				'table' => new TestTable3($this->getDbo()),
				'type' => 'INNER',
				'condition' => '{parent.key_id} = {child.id}',
				'capacity' => self::MANY
			),
		);
	}
}