<?php
defined('_JEXEC') or die;

use LMS\Tools\Homework\Helpers;

class Assignments
{
	public static function renderList($assignments)
	{
		if(isset($assignments) && is_array($assignments) && count($assignments)){
			?>
			<div class="row-fluid">
				<?php
				foreach($assignments as $assignment){
					static::renderItem($assignment);
				}
				?>
			</div>
		<?php
		} else {
			echo new \LMS\Widgets\Note(array('message' => JText::_('_JLMS_HOME_HOMEWORK_NO_ITEMS'), 'center' => true));
		}
	}

	public static function renderItem($assignment)
	{
//		echo '<pre>';
//		print_r($assignment);
//		echo '</pre>';

		$link = 'index.php?option=com_joomla_lms';
		$link .= '&task='.($assignment->teach_id ? 'hw_stats' : 'hw_view');
		$link .= '&course_id='.$assignment->course_id;
		$link .= '&id='.$assignment->id;
//		$link .= '&Itemid='.$Itemid;

		$title = JLMS_txt2overlib($assignment->hw_name);
		$description = Helpers\OutputText::cutTextByNumberWords($assignment->hw_description);
		?>
		<div class="media">
			<div class="media-left">
				<i class="jlmsicon-assignments jlms-icon-large"></i>
			</div>
			<div class="media-body">
				<h4 class="media-heading">
					<a href="<?php echo JLMSRoute::_($link);?>">
						<?php echo JText::_( $title );?>
					</a>
				</h4>
				<span class="small">
					<?php echo JText::_( $description );?>
				</span>
			</div>
			<div class="media-right">
				<div class="row-fluid">
					<div class="label label-danger">
						<?php echo \JLMS_offsetDateToDisplay( $assignment->end_date );?>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
}