<?php

namespace LMS\Tools\Mailbox\View;

defined('_JEXEC') or die;

use LMS\Libraries\Base;

class MailBox extends Base\View
{
	public function __construct($config=array())
	{		
		$this->viewDir = __DIR__;		
		
		parent::__construct($config);
	}
	
	public function setModel($model, $default = false) {
		parent::setModel($model, $default);
		
		$this->model = $model;
		$this->courseId = $this->model->getState('course_id');		
	}
	
	public function outbox()
	{			
		$this->items		= $this->model->getItems();		
		$this->pagination	= $this->model->getPagination();
		$filtersForm		= $this->model->getForm('filters', array('control'=>'filter'));		
		
		$this->widget('contentheader', array('title' => _JLMS_SENT_ITEMS, 'icon' => 'mailbox'));
		
		
        $pathway = array();
		$pathway[] = array('name' => _JLMS_MAILBOX, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox&course_id=". $this->courseId), 'is_home' => false);
        $pathway[] = array('name' => _JLMS_SENT_ITEMS, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox.mailbox.outbox&course_id=". $this->courseId), 'is_home' => false);
        \JLMSAppendPathWay($pathway);
				
		$filters = $this->widget('filters');
		$filters->addFilter($filtersForm->getField('search'));
		$filters->addFilter($this->pagination->getLimitBox());		
		
		$tabs = $this->widget('tabs');
		$tabs->addTab(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.inbox&course_id='.$this->courseId), 'title'=>_JLMS_INBOX_ALT_TITLE));
		$tabs->addTab(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.outbox&course_id='.$this->courseId), 'title'=>_JLMS_SENT_ITEMS_ALT_TITLE, 'active' => true));		
				
		$this->setLayout('outbox');
		$this->display();
	}
	
	public function inbox()
	{			
		$this->items		= $this->model->getItems();
		$this->pagination	= $this->model->getPagination();
		$filtersForm		= $this->model->getForm('filters', array('control'=>'filter'));		
				
		$this->widget('contentheader', array('title' => _JLMS_INBOX, 'icon' => 'mailbox'));
		
		$pathway = array();
		$pathway[] = array('name' => _JLMS_MAILBOX, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox&course_id=". $this->courseId), 'is_home' => false);
        $pathway[] = array('name' => _JLMS_INBOX, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox.mailbox.inbox&course_id=". $this->courseId), 'is_home' => false);
        \JLMSAppendPathWay($pathway);
		
		$filters = $this->widget('filters');
		$filters->addFilter($filtersForm->getField('search'));
		$filters->addFilter($this->pagination->getLimitBox());		
		
		$tabs = $this->widget('tabs');
		$tabs->addTab(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.inbox&course_id='.$this->courseId), 'title'=>_JLMS_INBOX_ALT_TITLE, 'active' => true));
		$tabs->addTab(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.outbox&course_id='.$this->courseId), 'title'=>_JLMS_SENT_ITEMS_ALT_TITLE));		
		
		$contentToolbar = $this->widget('contenttoolbar');
		$contentToolbar->addNewButton(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.message.compose&course_id='.$this->courseId), 'title'=>_JLMS_COMPOSE_ALT_TITLE));

		$this->setLayout('inbox');
		$this->display();		
	}	
	
	public function inboxUnread()
	{			
		$this->items		= $this->model->getItems();
		$this->pagination	= $this->model->getPagination();
		$filtersForm		= $this->model->getForm('filters', array('control'=>'filter'));	
		
		$filters = $this->widget('filters');
		$filters->addFilter($filtersForm->getField('search'));
		$filters->addFilter($this->pagination->getLimitBox());		

		$this->setLayout('frontpage');
		$this->display();		
	}	
}
