<?php

namespace LMS\Tools\Mailbox\View;

defined('_JEXEC') or die;

use LMS\Libraries\Base;

class Message extends Base\View
{
	public function __construct($config=array())
	{		
		$this->viewDir = __DIR__;		
		
		parent::__construct($config);
	}
	
	public function show($tpl = null) 
	{
		$this->widget('contentheader', array('title' => $this->form->getField('subject')->value, 'icon' => 'mailbox'));
				
		$pathway = array();
		$pathway[] = array('name' => _JLMS_MAILBOX, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox&course_id=". $this->courseId), 'is_home' => false);
        $pathway[] = array('name' => $this->form->getField('subject')->value, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox.message.show&course_id=". $this->courseId.'&message_id='.$this->messageId), 'is_home' => false);
        \JLMSAppendPathWay($pathway);
		
		$contentToolbar = $this->widget('contenttoolbar');		
		$contentToolbar->addCustomButton(array('icon'=> 'reply', 'href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.message.reply&course_id='.$this->courseId.'&id='.$this->messageId), 'title'=> \JText::_('_JLMS_REPLY')));
		$contentToolbar->addCustomButton(array('icon'=> 'forward-2', 'href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.message.forward&course_id='.$this->courseId.'&id='.$this->messageId), 'title'=> \JText::_('_JLMS_FORWARD')));
		$contentToolbar->addCancelButton(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.inbox&course_id='.$this->courseId)));
		
		parent::display($tpl);
	}	
	
	public function compose()
	{					
		$this->widget('contentheader', array('title' => _JLMS_COMPOSE, 'icon' => 'mailbox'));	
		
		$pathway = array();
		$pathway[] = array('name' => _JLMS_MAILBOX, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox&course_id=". $this->courseId), 'is_home' => false);
        $pathway[] = array('name' => _JLMS_COMPOSE, 'link' => \JLMSRoute::_("index.php?option=com_joomla_lms&task=mailbox.message.compose&course_id=". $this->courseId), 'is_home' => false);
        \JLMSAppendPathWay($pathway);
			
		$contentToolbar = $this->widget('contenttoolbar');
		$contentToolbar->addCustomButton(array('href' => 'javascript:Joomla.submitbutton(\'mailbox.message.send\')', 'title'=> _JLMS_SEND_ALT_TITLE, 'class' => 'btn-success' ));
		$contentToolbar->addCancelButton(array('href' => \JLMSRoute::_('index.php?option=com_joomla_lms&task=mailbox.mailbox.inbox&course_id='.$this->courseId)));		
		
		$this->setLayout('compose');
		$this->display();		
	}
}
