<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_joomla_lms
 *
 */

namespace LMS\Widgets;

use LMS\Libraries;
use LMS\Libraries\Base;

class Table extends Base\Widget
{
	public $action = ''; 
	
	public function __construct($params = array())
	{	
		parent::__construct($params);
		
		$this->items = $params['items'];
		$this->pagination = $params['pagination'];
		$this->data = isset($params['data'])?$params['data']:array();
		$this->ajax = isset($params['ajax'])?$params['ajax']:false;
		$this->cols = isset($params['cols'])?$params['cols']:array();
		$this->filters = isset($params['filters'])?$params['filters']:'';
		$this->type = isset($params['type'])?$params['type']:'';
		$this->contentToolbar = isset($params['contentToolbar'])?$params['contentToolbar']:'';
						
		if(!empty($this->filters)) {
			$filtersToolbar = new \LMS\Widgets\Filters();
			foreach($this->filters AS $filter) {
				$filtersToolbar->addFilter($filter);		
			}

			$this->filters = $filtersToolbar;
		}		
			
		$this->addScript('widgets/table/assets/js/script.js');
		$this->addStyleSheet('widgets/table/assets/css/style.css');
	}	
}